# Uses of Class
net.sf.statcvs.charts.ChartImage

Packages that use ChartImage
Package
Description
net.sf.statcvs.charts
net.sf.statcvs.output
net.sf.statcvs.pages

## Uses of ChartImage in net.sf.statcvs.charts

Methods in net.sf.statcvs.charts that return ChartImage
Modifier and Type
Method
Description
`ChartImage`
CommitScatterChartMaker.`toFile()`
`ChartImage`
DirectoryPieChartMaker.CodeDistributionChartMaker.`toFile()`
`ChartImage`
DirectoryPieChartMaker.`toFile()`
`ChartImage`
LOCChartMaker.`toFile()`
`ChartImage`
ModifyAddChartMaker.`toFile()`
`ChartImage`
ModuleEvolutionChartMaker.`toFile()`
`ChartImage`
ModuleSizePieChartMaker.`toFile()`
`ChartImage`
TimeBarChartMaker.`toFile()`
Creates a bar chart image file.
`ChartImage`
TimeLineChartMaker.`toFile()`

## Uses of ChartImage in net.sf.statcvs.output

Methods in net.sf.statcvs.output that return ChartImage
Modifier and Type
Method
Description
`ChartImage`
ReportConfig.`createChartImage(String fileName, String title, org.jfree.chart.JFreeChart chart, Dimension size)`
Writes a chart image file.
`ChartImage`
LOCChurnChartMaker.`toFile()`

## Uses of ChartImage in net.sf.statcvs.pages

Methods in net.sf.statcvs.pages with parameters of type ChartImage
Modifier and Type
Method
Description
`void`
Page.`add(ChartImage chart)`
`void`
Page.`add(ChartImage chart, String linkURL)`